Summary: PostgreSQL authentication module for Apache
Name: mod_auth_pgsql
Version: 2.0.3 
Release: 1tr
License: GPL
Group: Trustix Official
Source0: %{name}-%{version}.tar.gz
Source1: mod_auth_pgsql.conf
URL: http://www.giuseppetanzilli.it/mod_auth_pgsql2/
Requires: postgresql-libs
BuildRequires: apache-devel postgresql-devel
BuildRoot: %{_tmppath}/%{name}-root


%description
The mod_auth_pgsql module consists an authorization handler that uses
an PostgreSQL server as the basis for authorizations.  


%prep
%setup -q 


%build
%{_sbindir}/apxs -c -I /usr/include/postgresql -L /usr/lib/postgresql -lpq mod_auth_pgsql.c 


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

# Install the DSO
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m 755 .libs/mod_auth_pgsql.so $RPM_BUILD_ROOT%{_libdir}/apache

# Install the conf.d fragment
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/mod_auth_pgsql.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/auth_pgsql.conf

rm -f $RPM_BUILD_ROOT%{_libdir}/apache/{*.la,*.so.*}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/auth_pgsql.conf
%{_libdir}/apache/*.so
%doc README INSTALL mod_auth_pgsql.html


%changelog
* Fri Jan 06 2006 Nived Gopalan <nived at trustix dot org> 2.0.3-1tr
- New Upstream.
- SECURITY Fix: iDEFENSE has reported a format string flaw in 
  mod_auth_pgsql. This could allow a remote unauthenticated attacker to
  execute arbitrary code as the httpd process.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2005-3656 to this issue.

* Wed Aug 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.1-1tr
- Initial spec file for TSL-3.0 Official
